Bug 173746 - new release fixes lot of bugs.
new release fixes lot of bugs.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: jfsutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
http://jfs.sourceforge.net/
:
: 173747 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-20 09:49 EST by acount closed by user
Modified: 2013-07-02 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-11 19:35:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2005-11-20 09:49:46 EST
there are lot of bug fixes since latest FC release(1.1.7 - 2004-07-22):

New in 1.1.10 - 2005-10-19
* More stdio cleanup
* fsck was not recognizing the root filesystem as jfs

New in 1.1.9 - 2005-10-04
* Add support for Dragonfly BSD.  I/O to block devices must be done through
  aligned buffers.  Change to use stream I/O to avoid problems.
* Reduce memory usage in fsck by removing structure members and code relating
  to OS/2 DASD limits.
* Fix stack buffer overflow in Is_Device_Mounted

New in 1.1.8 - 2005-05-03
* fsck should not bail out if reserved (but unused) inode 1 is bad
* code cleanup - remove unused variables, eliminate compiler warnings
* Added blocks parameter to specify file system size
* Ensure that data gets flushed to disk
* Fix bug in replaying journal that corrupted inodes
* Update directory index table when moving directory entries
* Use O_DIRECT when checking for bad blocks (jfs_mkfs -c)

And there is a new home for this project: http://jfs.sourceforge.net


-thanks-
Comment 1 acount closed by user 2005-11-21 10:57:36 EST
*** Bug 173747 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.